> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1vm metadata



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/vm/{vm_id}/metadata
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/{vm_id}/metadata:
    get:
      tags:
        - vm
      operationId: get_vm_metadata
      parameters:
        - name: vm_id
          in: path
          description: VM ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: VM metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VmMetadataResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: VM not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    VmMetadataResponse:
      type: object
      description: Response for GET /api/v1/vm/{vm_id}/metadata
      required:
        - vm_id
        - owner_id
        - created_at
        - state
        - ip
      properties:
        created_at:
          type: string
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        grandparent_vm_id:
          type:
            - string
            - 'null'
          format: uuid
        ip:
          type: string
        owner_id:
          type: string
          format: uuid
        parent_commit_id:
          type:
            - string
            - 'null'
          format: uuid
        state:
          $ref: '#/components/schemas/VmState'
        vm_id:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
    VmState:
      type: string
      description: The state of a VM
      enum:
        - booting
        - running
        - paused
        - sleeping
        - dead
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````